Email Revision Executive Vulnerability Report
https://app.fossa.com/api/revisions/{locator}/report/executive-vulnerability/emailQueues the Executive Vulnerability Report for a given revision, and emails the user a download link when it is ready
Path parameters
locatorstringrequiredRequest body · application/json
shouldIncludeFullListbooleanWhether to include the full vulnerability list (default is true)
Responses
202The report is being generated, and will be emailed to the user as a download link400BadRequestuuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
403Forbidden. Returned when the organization does not have Security enabled.uuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
404NotFound. Returned when the `execVulnReport` feature flag is off, or the user cannot access the revision.uuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
Try this endpoint
Build a request and run it against app.fossa.com.
Stored in this browser for 24 hours. Try It uses a docs proxy for CORS and does not store tokens server-side.
POST https://app.fossa.com/api/revisions/%7Blocator%7D/report/executive-vulnerability/emailcurl --request POST \ --url 'https://app.fossa.com/api/revisions/%7Blocator%7D/report/executive-vulnerability/email' \ --header 'accept: application/json' \ --header 'authorization: Bearer YOUR_API_TOKEN' \ --header 'content-type: application/json' \ --data '{ "shouldIncludeFullList": true}'Real request. Mutating methods can change data.
Path params
locatorstringrequired